--- old/usr/src/cmd/sgs/elfdump/common/struct_layout.h	2016-06-30 22:01:21.008899374 -0400
+++ new/usr/src/cmd/sgs/elfdump/common/struct_layout.h	2016-06-30 22:01:21.036902957 -0400
@@ -526,6 +526,15 @@
 	sl_field_t		pr_path;
 } sl_prfdinfo_layout_t;
 
+typedef struct {
+	sl_field_t		sizeof_struct;
+	sl_field_t		pr_version;
+	sl_field_t		pr_effective;
+	sl_field_t		pr_inherit;
+	sl_field_t		pr_lower;
+	sl_field_t		pr_upper;
+} sl_prsecflags_layout_t;
+
 /*
  * This type collects all of the layout definitions for
  * a given architecture.
@@ -551,6 +560,7 @@
 	const sl_timestruc_layout_t	*timestruc;	/* timestruc_t */
 	const sl_utsname_layout_t	*utsname;	/* struct utsname */
 	const sl_prfdinfo_layout_t	*prfdinfo;	/* prdinfo_t */
+	const sl_prsecflags_layout_t	*prsecflags;	/* prsecflags_t */
 } sl_arch_layout_t;
 
 
